package com.unis.base.server.dao;

import java.util.List;
import org.apache.ibatis.annotations.Param;

import com.unis.base.server.entity.TyHly;
import com.unis.base.server.entity.TyHlyDr;
import com.unis.base.server.example.TyHlyExample;

public interface TyHlyDao {
    int countByExample(TyHlyExample example);

    int deleteByExample(TyHlyExample example);

    int insert(TyHly record);

    int insertSelective(TyHly record);

    List<TyHly> selectByExample(TyHlyExample example);

    int updateByExampleSelective(@Param("record") TyHly record, @Param("example") TyHlyExample example);

    int updateByExample(@Param("record") TyHly record, @Param("example") TyHlyExample example);

	List<TyHlyDr> exportByEntityResult(String qymc);

}